Package de.willuhn.jameica.hbci.passports.rdh.server

# Class PassportImpl

java.lang.Object
java.rmi.server.RemoteObject
java.rmi.server.RemoteServer
java.rmi.server.UnicastRemoteObject
de.willuhn.jameica.hbci.passports.rdh.server.PassportImpl

All Implemented Interfaces:
  `Passport`, `Passport`, `Serializable`, `Remote`

public class PassportImpl extends UnicastRemoteObject implements Passport
Implementierung des Passports fuer Schluesseldatei.

See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class java.rmi.server.RemoteObject

`ref`

## Constructor Summary

Constructors
Constructor
Description
`PassportImpl()`
ct.

## Method Summary

Modifier and Type
Method
Description
`Class`
`getConfigDialog()`
Liefert die Klasse des Konfigurationsdialogs.
`List<? extends Configuration>`
`getConfigurations()`
Liefert die Liste der Konfigurationen.
`PassportHandle`
`getHandle()`
Liefert das Passport-Handle.
`String`
`getInfo()`
Liefert einen Info-Text, den die Passport-Klasse frei implementieren kann.
`protected Konto`
`getKonto()`
Liefert das Konto, fuer das der Passport gerade zustaendig ist.
`String`
`getName()`
Liefert den sprechenden Namen des Passports.
`void`
`init(Konto konto)`
Diese Funktion wird von Hibiscus aufgerufen, wenn der Passport initialisiert wird.

### Methods inherited from class java.rmi.server.UnicastRemoteObject

`clone, exportObject, exportObject, exportObject, exportObject, exportObject, unexportObject`

### Methods inherited from class java.rmi.server.RemoteServer

`getClientHost, getLog, setLog`

### Methods inherited from class java.rmi.server.RemoteObject

`equals, getRef, hashCode, toString, toStub`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### PassportImpl

public PassportImpl() throws RemoteException
ct.

Throws:
  `RemoteException`

## Method Details

### getName

public String getName() throws RemoteException
Description copied from interface: `Passport`
Liefert den sprechenden Namen des Passports. Dieser Name wird dem Benutzer zum Beispiel in Combo-Boxen angezeigt.

Specified by:
  `getName` in interface `Passport`
Returns:
  Name des Passports.
Throws:
  `RemoteException`
See Also:
  - `Passport.getName()`

### getInfo

public String getInfo() throws RemoteException
Description copied from interface: `Passport`
Liefert einen Info-Text, den die Passport-Klasse frei implementieren kann. Sie kann hier z.Bsp. die Anzahl vorhandener PIN/TAN-Konfigurationen oder Schluesseldateien zuruecklistern. BUGZILLA 471

Specified by:
  `getInfo` in interface `Passport`
Returns:
  Info-Text zu dem Sicherheitsmedium.
Throws:
  `RemoteException`
See Also:
  - `Passport.getInfo()`

### getConfigurations

public List<? extends Configuration> getConfigurations() throws RemoteException
Description copied from interface: `Passport`
Liefert die Liste der Konfigurationen.

Specified by:
  `getConfigurations` in interface `Passport`
Returns:
  die Liste der Konfigurationen.
Throws:
  `RemoteException`
See Also:
  - `Passport.getConfigurations()`

### getHandle

public PassportHandle getHandle() throws RemoteException
Description copied from interface: `Passport`
Liefert das Passport-Handle. Das ist im Prinzip die direkte Schnittstelle zu HBCI4Java.

Specified by:
  `getHandle` in interface `Passport`
Returns:
  Handle.
Throws:
  `RemoteException`
See Also:
  - `Passport.getHandle()`

### getConfigDialog

public Class getConfigDialog() throws RemoteException
Description copied from interface: `Passport`
Liefert die Klasse des Konfigurationsdialogs. Oeffnet der Anwender den Konfigurations-Dialog durch Doppelklick auf die Liste der vorhandenen Passports, dann wird eine Instanz dieser Klasse erzeugt und in der GUI angezeigt. Als Referenz kann hierzu de.willuhn.jameica.passports.ddv.View dienen.

Specified by:
  `getConfigDialog` in interface `Passport`
Returns:
  Die Klasse des Konfig-Dialogs. Muss von `AbstractView` abgeleitet sein.
Throws:
  `RemoteException`
See Also:
  - `Passport.getConfigDialog()`

### init

public void init(Konto konto) throws RemoteException
Description copied from interface: `Passport`
Diese Funktion wird von Hibiscus aufgerufen, wenn der Passport initialisiert wird. Sie kann vom Passport implementiert werden - muss jedoch nicht. Falls der Passport jedoch wissen muss, fuer welches Konto er gerade zustaendig ist, kann er es ueber diese Funktion erfahren. Die Funktion wird unmittelbar vor der Ausfuehrung eines HBCI-Jobs im Konto ausgefuehrt.

Specified by:
  `init` in interface `Passport`
Parameters:
  `konto` - das Konto, fuer welches der Passport gerade verwendet werden soll.
Throws:
  `RemoteException` - BUGZILLA #7 http://www.willuhn.de/bugzilla/show_bug.cgi?id=7
See Also:
  - `Passport.init(de.willuhn.jameica.hbci.rmi.Konto)`

### getKonto

protected Konto getKonto()
Liefert das Konto, fuer das der Passport gerade zustaendig ist.

Returns:
  Konto.